* [PATCH] install initscript for NRPE
@ 2018-05-01 13:00 Peter Müller
2018-05-07 10:32 ` Michael Tremer
0 siblings, 1 reply; 6+ messages in thread
From: Peter Müller @ 2018-05-01 13:00 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 582 bytes --]
Install an initscript for the NRPE addon (this was missing
in the NRPE update patch).
Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
---
lfs/nagios_nrpe | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
index 369f9335d..aa9a773be 100644
--- a/lfs/nagios_nrpe
+++ b/lfs/nagios_nrpe
@@ -89,5 +89,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
cd $(DIR_APP) && make $(MAKETUNING)
cd $(DIR_APP) && make install
+
+ #install initscripts
+ $(call INSTALL_INITSCRIPT,nrpe)
+
@rm -rf $(DIR_APP)
@$(POSTBUILD)
--
2.13.6
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] install initscript for NRPE
2018-05-01 13:00 [PATCH] install initscript for NRPE Peter Müller
@ 2018-05-07 10:32 ` Michael Tremer
2018-05-07 14:34 ` [PATCH v2] " Peter Müller
0 siblings, 1 reply; 6+ messages in thread
From: Michael Tremer @ 2018-05-07 10:32 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 1678 bytes --]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
Where is the initscript?
[root(a)rice-oxley ipfire-2.x]# find src/initscripts/ -name nrpe
[root(a)rice-oxley ipfire-2.x]#
On Tue, 2018-05-01 at 15:00 +0200, Peter Müller wrote:
> Install an initscript for the NRPE addon (this was missing
> in the NRPE update patch).
>
> Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
> ---
> lfs/nagios_nrpe | 4 ++++
> 1 file changed, 4 insertions(+)
>
> diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
> index 369f9335d..aa9a773be 100644
> --- a/lfs/nagios_nrpe
> +++ b/lfs/nagios_nrpe
> @@ -89,5 +89,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
>
> cd $(DIR_APP) && make $(MAKETUNING)
> cd $(DIR_APP) && make install
> +
> + #install initscripts
> + $(call INSTALL_INITSCRIPT,nrpe)
> +
> @rm -rf $(DIR_APP)
> @$(POSTBUILD)
-----BEGIN PGP SIGNATURE-----
iQIzBAEBCgAdFiEE5/rW5l3GGe2ypktxgHnw/2+QCQcFAlrwKyAACgkQgHnw/2+Q
CQfQ3A/8CRgmZehpS0lIyKcpp42MH7WogkuXuFO8ii62UQH6hoCQSFZ8AlxQgTHs
F9ef5qX95W8qxVFoMZGWRHYNBt55MNLumR6HoXShkFaJaR1ZNUqWgb8kpK8H6SbF
fLDYpZj7BIAoELPGDG06JBiT0I3rdHh246vmdWcgA4T4nmnjVcdIkVwHzlcoP54Y
JqP2ODcQk6SbrrcKk+lLTSGu768O+HET8c8UG//EbIjFc/AN8AuWSJvM+iKqCtsx
+LFcy87pMcDeIzGIOY5Pr6Y+Gn4jgLOKK6QRa3p7AN3llQv8prPK0/XFPlFQ5Zg9
M5F8T0mJSEMxRi4tcXJZaGRH8/rMxWpykEvXLVrCx4VQ6DqQ5lD0HDSxOnOkB/tD
/clpU6qh1D7dfmS/onY8gXZfloGubZSlimn1bnQRf1L9HTQ9btKR0iYiLqfsyx0E
+oTheoRET61yDVJIiO5rsDCs7i6sn/0SDfOaxGYYFqOGOP6pdknpWjCXvykzk7cF
G5Z6Y3i0HrBqZKEkmpSrJq+Y6mQ8hF2znQtfzKhnZp+b21Tk7ztHYdxMAQqZa10g
GQtyL0h/JCNvBq4IDws/5VCDshpCLgqJ36kD81JHbh2O6k8zxQZc43flWnEkUulJ
Coo4VNCoSqkOsQ7ILIecs53kDjCIUbyFONPhQeLv3SJBWnDlLrc=
=hITZ
-----END PGP SIGNATURE-----
^ permalink raw reply [flat|nested] 6+ messages in thread
* [PATCH v2] install initscript for NRPE
2018-05-07 10:32 ` Michael Tremer
@ 2018-05-07 14:34 ` Peter Müller
2018-05-07 14:56 ` [PATCH v3] " Peter Müller
0 siblings, 1 reply; 6+ messages in thread
From: Peter Müller @ 2018-05-07 14:34 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 1633 bytes --]
Install initscript for NRPE addon.
The second version of this patch actually includes the
initscript, which was missing due to lack of coffee the
first time. :-)
Thanks to Michael for catching it.
Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
---
lfs/nagios_nrpe | 4 ++++
src/initscripts/packages/nrpe | 38 ++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
create mode 100644 src/initscripts/packages/nrpe
diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
index bebb80144..af37f5076 100644
--- a/lfs/nagios_nrpe
+++ b/lfs/nagios_nrpe
@@ -90,5 +90,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
cd $(DIR_APP) && make all $(MAKETUNING)
cd $(DIR_APP) && make install
cd $(DIR_APP) && make install-config
+
+ #install initscripts
+ $(call INSTALL_INITSCRIPT,nrpe)
+
@rm -rf $(DIR_APP)
@$(POSTBUILD)
diff --git a/src/initscripts/packages/nrpe b/src/initscripts/packages/nrpe
new file mode 100644
index 000000000..cd87c1703
--- /dev/null
+++ b/src/initscripts/packages/nrpe
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Begin $rc_base/init.d/nrpe
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+NRPEBIN=/usr/bin/nrpe
+NRPECFG=/etc/nagios/nrpe.cfg
+
+case "$1" in
+ start)
+ boot_mesg "Starting nrpe..."
+ loadproc $NRPEBIN -c $NRPECFG -d
+ ;;
+
+ stop)
+ boot_mesg "Stopping nrpe..."
+ killproc $NRPEBIN
+ rm -f /var/run/nrpe.pid
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc $NRPEBIN
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/nrpe
--
2.13.6
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply [flat|nested] 6+ messages in thread
* [PATCH v3] install initscript for NRPE
2018-05-07 14:34 ` [PATCH v2] " Peter Müller
@ 2018-05-07 14:56 ` Peter Müller
2018-05-09 13:53 ` Michael Tremer
0 siblings, 1 reply; 6+ messages in thread
From: Peter Müller @ 2018-05-07 14:56 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 1655 bytes --]
Install initscript for NRPE addon.
The second version of this patch actually includes the
initscript, which was missing due to lack of coffee the
first time. :-)
Thanks to Michael for catching it.
Resent due to crappy linewrapping in initscript by MUA.
Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
---
lfs/nagios_nrpe | 4 ++++
src/initscripts/packages/nrpe | 38 ++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
create mode 100644 src/initscripts/packages/nrpe
diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
index bebb80144..af37f5076 100644
--- a/lfs/nagios_nrpe
+++ b/lfs/nagios_nrpe
@@ -90,5 +90,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
cd $(DIR_APP) && make all $(MAKETUNING)
cd $(DIR_APP) && make install
cd $(DIR_APP) && make install-config
+
+ #install initscripts
+ $(call INSTALL_INITSCRIPT,nrpe)
+
@rm -rf $(DIR_APP)
@$(POSTBUILD)
diff --git a/src/initscripts/packages/nrpe b/src/initscripts/packages/nrpe
new file mode 100644
index 000000000..cd87c1703
--- /dev/null
+++ b/src/initscripts/packages/nrpe
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Begin $rc_base/init.d/nrpe
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+NRPEBIN=/usr/bin/nrpe
+NRPECFG=/etc/nagios/nrpe.cfg
+
+case "$1" in
+ start)
+ boot_mesg "Starting nrpe..."
+ loadproc $NRPEBIN -c $NRPECFG -d
+ ;;
+
+ stop)
+ boot_mesg "Stopping nrpe..."
+ killproc $NRPEBIN
+ rm -f /var/run/nrpe.pid
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc $NRPEBIN
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/nrpe
--
2.13.6
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH v3] install initscript for NRPE
2018-05-07 14:56 ` [PATCH v3] " Peter Müller
@ 2018-05-09 13:53 ` Michael Tremer
2018-05-09 19:59 ` [PATCH v4] " Peter Müller
0 siblings, 1 reply; 6+ messages in thread
From: Michael Tremer @ 2018-05-09 13:53 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 2823 bytes --]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
This patch is still corrupt and cannot be applied.
Please use git send-email.
- -Michael
On Mon, 2018-05-07 at 16:56 +0200, Peter Müller wrote:
> Install initscript for NRPE addon.
>
> The second version of this patch actually includes the
> initscript, which was missing due to lack of coffee the
> first time. :-)
>
> Thanks to Michael for catching it.
>
> Resent due to crappy linewrapping in initscript by MUA.
>
> Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
> ---
> lfs/nagios_nrpe | 4 ++++
> src/initscripts/packages/nrpe | 38 ++++++++++++++++++++++++++++++++++++++
> 2 files changed, 42 insertions(+)
> create mode 100644 src/initscripts/packages/nrpe
>
> diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
> index bebb80144..af37f5076 100644
> --- a/lfs/nagios_nrpe
> +++ b/lfs/nagios_nrpe
> @@ -90,5 +90,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
> cd $(DIR_APP) && make all $(MAKETUNING)
> cd $(DIR_APP) && make install
> cd $(DIR_APP) && make install-config
> +
> + #install initscripts
> + $(call INSTALL_INITSCRIPT,nrpe)
> +
> @rm -rf $(DIR_APP)
> @$(POSTBUILD)
> diff --git a/src/initscripts/packages/nrpe b/src/initscripts/packages/nrpe
> new file mode 100644
> index 000000000..cd87c1703
> --- /dev/null
> +++ b/src/initscripts/packages/nrpe
> @@ -0,0 +1,38 @@
> +#!/bin/sh
>
> +# Begin $rc_base/init.d/nrpe
> +
> +. /etc/sysconfig/rc
> +. $rc_functions
> +
> +NRPEBIN=/usr/bin/nrpe
> +NRPECFG=/etc/nagios/nrpe.cfg
> +
> +case "$1" in
> + start)
> + boot_mesg "Starting nrpe..."
> + loadproc $NRPEBIN -c $NRPECFG -d
> + ;;
> +
> + stop)
> + boot_mesg "Stopping nrpe..."
> + killproc $NRPEBIN
> + rm -f /var/run/nrpe.pid
> + ;;
> +
> + restart)
> + $0 stop
> + sleep 1
> + $0 start
> + ;;
> +
> + status)
> + statusproc $NRPEBIN
> + ;;
> +
> + *)
> + echo "Usage: $0 {start|stop|restart|status}"
> + exit 1
> + ;;
> +esac
> +
> +# End $rc_base/init.d/nrpe
-----BEGIN PGP SIGNATURE-----
iQIzBAEBCgAdFiEE5/rW5l3GGe2ypktxgHnw/2+QCQcFAlry/WcACgkQgHnw/2+Q
CQem4w//RRJgA/0R5cGyWe4LLl9DqDKVeq+xhzssrPAPqgR6pQeBjVNnQx7u6oXc
tHWNRZPBWwt/Y+yCY1QfrDA5Xy3ECjXrotb7SA7+X9rkNsUeiBbQZaiP1z1QjmVw
C8rDnoWTXP5pkGjXJLy8f6PQNGI5P/31L3cIJk0kMtlFrqCZJlxtGRZaYB+2A2Vu
OwrsFWwRyTmksJXcBzwl9ldszcMI9sT8giUFPJqu2HWFymGz3hzYYsCGa3T/XmKL
u8UJBXTDoJ01syTpEvRZp3Bl5QL9GHOAcPynC0S9u8UWn8Il+xSkxffK4KhlzusK
RpMrIkpCyF77FxGlE7i/Bm09QQCxWfJ+k1+NLD3mkJJhzNPlgut8qtGOf9b5CZj/
pAK0SaIOCR7EHPg//soCIxSdAM+lKcnww5v0AROqtFOVCOjrBrPVaxnE8cgXJgDn
H5e3UMwplVubq1ooZDmvvRSZm5rmRVELM+JgoSX0LdXrICRbupoKIlrm+ylVaLrF
UBVt7K4zdmR0y3fwlQkK5C+PgYcAty43U/9p1TgCrN+ILlssyT6HCKQhN5kHX4+U
0XS48a5GOet4KQD4o+1w6SxbCRFKZM54StGea5DiKKhZtAIUv55aCB/bxIPpnJ7m
1RtRPpQlgAK3SwMC8BPbgap5FeRPLC9pB68Wb5P5GwE3VtCBYeQ=
=9f+d
-----END PGP SIGNATURE-----
^ permalink raw reply [flat|nested] 6+ messages in thread
* [PATCH v4] install initscript for NRPE
2018-05-09 13:53 ` Michael Tremer
@ 2018-05-09 19:59 ` Peter Müller
0 siblings, 0 replies; 6+ messages in thread
From: Peter Müller @ 2018-05-09 19:59 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 1653 bytes --]
Install initscript for NRPE addon.
The second version of this patch actually includes the
initscript, which was missing due to lack of coffee the
first time. :-)
Thanks to Michael for catching it.
Resent due to crappy linewrapping in initscript by MUA.
Signed-off-by: Peter Müller <peter.mueller(a)link38.eu>
---
lfs/nagios_nrpe | 4 ++++
src/initscripts/packages/nrpe | 38 ++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
create mode 100644 src/initscripts/packages/nrpe
diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
index bebb80144..11ce2ae77 100644
--- a/lfs/nagios_nrpe
+++ b/lfs/nagios_nrpe
@@ -90,5 +90,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
cd $(DIR_APP) && make all $(MAKETUNING)
cd $(DIR_APP) && make install
cd $(DIR_APP) && make install-config
+
+ # install initscript
+ $(call INSTALL_INITSCRIPT,nrpe)
+
@rm -rf $(DIR_APP)
@$(POSTBUILD)
diff --git a/src/initscripts/packages/nrpe b/src/initscripts/packages/nrpe
new file mode 100644
index 000000000..8de798c06
--- /dev/null
+++ b/src/initscripts/packages/nrpe
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Begin $rc_base/init.d/nrpe
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+NRPEBIN=/usr/bin/nrpe
+NRPECFG=/etc/nagios/nrpe.cfg
+
+case "$1" in
+ start)
+ boot_mesg "Starting nrpe..."
+ loadproc $NRPEBIN -c $NRPECFG -d
+ ;;
+
+ stop)
+ boot_mesg "Stopping nrpe..."
+ killproc $NRPEBIN
+ rm -f /var/run/nrpe.pid
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc $NRPEBIN
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/nrpe
--
2.13.6
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply [flat|nested] 6+ messages in thread
end of thread, other threads:[~2018-05-09 19:59 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-05-01 13:00 [PATCH] install initscript for NRPE Peter Müller
2018-05-07 10:32 ` Michael Tremer
2018-05-07 14:34 ` [PATCH v2] " Peter Müller
2018-05-07 14:56 ` [PATCH v3] " Peter Müller
2018-05-09 13:53 ` Michael Tremer
2018-05-09 19:59 ` [PATCH v4] " Peter Müller
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox